Subject: Re: CCL:Compiling AMBER 4.1 on a Power Challenge

From: Joe Landman <[email-masked]>
Date: Thu, 17 Jul 1997 08:26:20 -0400 (EDT)

y

On Wed, 16 Jul 1997, Jeffrey L. Nauss wrote:

> I am trying to compile AMBER 4.1 on a Power Challenge.  The uname -a output is
> "IRIX64 bebop 6.1 07121823 IP21 mips".  Specifically, I am trying to get leap
> compiled.  However the compilation bombs during the command:
> 
> make World >& mkerr &
> 
> The error message at the end of the mkerr file is:
> 
>         /usr/bin/cc -o utilMakeHelp -g -DMEMORY_DEBUG=0 -I.. -cckr
> -noprototypes -w -Wf,-XNl16386 -xansi -32   -Wf,-XNh2000  basics.o sysdepend.o
                                       ^^^^^
> Anybody have a clue what I need to do? I have already tried removing all -32
> options from the Makefile and got the same error.

Which compilers are you using?

Moreover, if you want an n32 binary producde, make sure you have an -n32 
option specified on all of the compiler option and loader option lines.

If you want an n64 binary produced, then make sure you have -64 on all of 
the loader and compiler lines..

email me offline if you have more problems.

> 
> Thanks in advance...
> 
> 
> -- 
>   Jeffrey L. Nauss, PhD           Telephone: 513-556-0148          
>   Dir. Molec. Model. Serv.        Fax:       513-556-9239
>   Department of Chemistry         e-mail: [email-masked]    
>   University of Cincinnati        URL http://www.che.uc.edu/~nauss  
> 
> -------This is added Automatically by the Software--------
> -- Original Sender Envelope Address: [email-masked]
> -- Original Sender From: Address: [email-masked]
> [email-masked]: Everybody | [email-masked]: Coordinator
> [email-masked]: HELP CHEMISTRY or HELP SEARCH | Gopher: www.ccl.net 73
> Anon. ftp: www.ccl.net   | [email-masked] -- archive search
>              Web: http://www.ccl.net/chemistry.html 
>